package com.gic.haoban.manage.web.qo.contact;

import java.util.List;

/**
 * Created by wangzubo on 2025/3/15.
 */
public class ContactFollowQO {

    /**
     * 会员id列表
     */
    private List<String> memberIdList;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 跟进类型 1私人电话 2企微会话 3发送商品 4企微群发 5标记建联 6自动建联 7营销素材
     * @see com.gic.haoban.manage.api.enums.contact.ContactFollowTypeEnum
     */
    private Integer followType;

    /**
     * 跟进记录
     */
    private String followRemark;
    /**
     * 跟进上传素材,数组格式
     */
    private List<String> followMaterialList;
    /**
     * 关联商品信息
     */
    private List<String> goodsInfoList;
    /**
     * 企业id
     */
    private String enterpriseId;

    public List<String> getMemberIdList() {
        return memberIdList;
    }

    public void setMemberIdList(List<String> memberIdList) {
        this.memberIdList = memberIdList;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public Integer getFollowType() {
        return followType;
    }

    public void setFollowType(Integer followType) {
        this.followType = followType;
    }

    public String getFollowRemark() {
        return followRemark;
    }

    public void setFollowRemark(String followRemark) {
        this.followRemark = followRemark;
    }

    public List<String> getFollowMaterialList() {
        return followMaterialList;
    }

    public void setFollowMaterialList(List<String> followMaterialList) {
        this.followMaterialList = followMaterialList;
    }

    public List<String> getGoodsInfoList() {
        return goodsInfoList;
    }

    public void setGoodsInfoList(List<String> goodsInfoList) {
        this.goodsInfoList = goodsInfoList;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }
}
